Keep testing on puppet 2.7
authorColleen Murphy <colleen@puppetlabs.com>
Mon, 23 Mar 2015 19:04:20 +0000 (12:04 -0700)
committerColleen Murphy <colleen@puppetlabs.com>
Mon, 23 Mar 2015 19:04:20 +0000 (12:04 -0700)
The modulesync config repo is dropping universal support for puppet
2.7, but individual repos should still keep support until the next
naturally-occuring major release.

.sync.yml

index 6fa460a..02c6c83 100644 (file)
--- a/.sync.yml
+++ b/.sync.yml
@@ -1,6 +1,11 @@
 ---
 .travis.yml:
   script: "\"bundle exec rake spec SPEC_OPTS='--format documentation'\""
+  extras:
+  - rvm: 1.8.7
+    env: PUPPET_GEM_VERSION="~> 2.7.0" FACTER_GEM_VERSION="~> 1.6.0"
+  - rvm: 1.8.7
+    env: PUPPET_GEM_VERSION="~> 2.7.0" FACTER_GEM_VERSION="~> 1.7.0"
 Rakefile:
   unmanaged: true
 spec/spec_helper.rb: